libdap::UInt64 Class Reference

Holds a 64-bit unsigned integer. More...

`#include <UInt64.h>`

Inheritance diagram for libdap::UInt64:

## Public Member Functions

void | compute_checksum (Crc32 &checksum) override
bool | d4_ops (BaseType *b, int op) override
void | deserialize (D4StreamUnMarshaller &um, DMR &dmr) override
void | dump (ostream &strm) const override
| dumps information about this object
bool | is_dap4_projected (std::vector< string > &inventory) override
UInt64 & | operator= (const UInt64 &rhs)
bool | ops (BaseType *b, int op) override
void | print_val (ostream &out, string space="", bool print_decl_p=true) override
BaseType * | ptr_duplicate () override
void | serialize (D4StreamMarshaller &m, DMR &dmr, bool filter=false) override
| Serialize an Int8.
virtual bool | set_value (dods_uint64 val)
std::vector< BaseType * > * | transform_to_dap2 (AttrTable *parent_attr_table) override
| DAP4 to DAP2 transform.
| UInt64 (const string &n)
| UInt64 (const string &n, const string &d)
| UInt64 (const UInt64 &copy_from)
virtual dods_uint64 | value () const
unsigned int | width (bool=false) const override
int64_t | width_ll (bool=false) const override

## Protected Attributes

dods_uint64 | d_buf

## Detailed Description

Holds a 64-bit unsigned integer.

See also
  BaseType

Definition at line 47 of file UInt64.h.

## Constructor & Destructor Documentation

## UInt64() [1/3]

libdap::UInt64::UInt64 | ( | const string & | n | ) |

The UInt64 constructor accepts the name of the variable to be created.

Note
  This type is available in DAP4 only. See http://docs.opendap.org/index.php/DAP4:_Specification_Volume_1#Atomic_Types

Parameters

  n | A string containing the name of the variable to be created. variable is created

Definition at line 68 of file UInt64.cc.

## UInt64() [2/3]

libdap::UInt64::UInt64 | ( | const string & | n,
|  | const string & | d )

The UInt64 server-side constructor accepts the name of the variable and the dataset name from which this instance is created.

Note
  This type is available in DAP4 only. See http://docs.opendap.org/index.php/DAP4:_Specification_Volume_1#Atomic_Types

Parameters

  n | A string containing the name of the variable to be created.
  d | A string containing the name of the dataset from which this variable is created

Definition at line 80 of file UInt64.cc.

## ~UInt64()

virtual libdap::UInt64::~UInt64 | ( |  | ) |

inline virtual

Definition at line 64 of file UInt64.h.

## UInt64() [3/3]

libdap::UInt64::UInt64 | ( | const UInt64 & | copy_from | ) |

Definition at line 82 of file UInt64.cc.

## Member Function Documentation

## compute_checksum()

void libdap::UInt64::compute_checksum | ( | Crc32 & | checksum | ) |

override

Definition at line 94 of file UInt64.cc.

## d4_ops()

bool libdap::UInt64::d4_ops | ( | BaseType * | b,
|  | int | op )

override

Definition at line 179 of file UInt64.cc.

## deserialize()

void libdap::UInt64::deserialize | ( | D4StreamUnMarshaller & | um,
|  | DMR & | dmr )

override

Definition at line 111 of file UInt64.cc.

## dump()

void libdap::UInt64::dump | ( | ostream & | strm | ) | const

override

dumps information about this object

Displays the pointer value of this instance and information about this instance.

Parameters

  strm | C++ i/o stream to dump the information to

Returns
  void

Definition at line 259 of file UInt64.cc.

## is_dap4_projected()

bool libdap::UInt64::is_dap4_projected | ( | std::vector< string > & | inventory | ) |

override

When send_p() is true a description of the instance is added to the inventory and true is returned.

Parameters

  inventory | is a value-result parameter

Returns
  True when send_p() is true, false otherwise

Definition at line 241 of file UInt64.cc.

## operator=()

UInt64 & libdap::UInt64::operator= | ( | const UInt64 & | rhs | ) |

Definition at line 86 of file UInt64.cc.

## ops()

bool libdap::UInt64::ops | ( | BaseType * | b,
|  | int | op )

override

Definition at line 144 of file UInt64.cc.

## print_val()

void libdap::UInt64::print_val | ( | ostream & | out,
|  | string | space = "",
|  | bool | print_decl_p = true )

override

Definition at line 136 of file UInt64.cc.

## ptr_duplicate()

BaseType * libdap::UInt64::ptr_duplicate | ( |  | ) |

override

Definition at line 84 of file UInt64.cc.

## serialize()

void libdap::UInt64::serialize | ( | D4StreamMarshaller & | m,
|  | DMR & | dmr,
|  | bool | filter = false )

override

Serialize an Int8.

Parameters

  m |
  dmr | Unused
  eval | Unused
  filter | Unused

Exceptions

  Error | is thrown if the value needs to be read and that operation fails.

Definition at line 104 of file UInt64.cc.

## set_value()

bool libdap::UInt64::set_value | ( | dods_uint64 | val | ) |

virtual

Definition at line 115 of file UInt64.cc.

## transform_to_dap2()

std::vector< BaseType * > * libdap::UInt64::transform_to_dap2 | ( | AttrTable * | parent_attr_table | ) |

override

DAP4 to DAP2 transform.

For the current BaseType, return a DAP2 'copy' of the variable.

Note
  For most DAP4 types, in this implementation of DAP2 the corresponding DAP4 type is the same. The different types are Sequences (which are D4Sequences in the DAP4 implementation), Grids (which are coverages) and Arrays (which use shared dimensions).

Parameters

  root | The root group that should hold this new variable. Add Group-level stuff here (e.g., D4Dimensions).
  container | Add the new variable to this container.

Returns
  A pointer to the transformed variable

Definition at line 221 of file UInt64.cc.

## value()

dods_uint64 libdap::UInt64::value | ( |  | ) | const

virtual

Definition at line 113 of file UInt64.cc.

## width()

unsigned int libdap::UInt64::width | ( | bool | = false | ) | const

inline override

Definition at line 72 of file UInt64.h.

## width_ll()

int64_t libdap::UInt64::width_ll | ( | bool | = false | ) | const

inline override

Definition at line 74 of file UInt64.h.

## Member Data Documentation

## d_buf

dods_uint64 libdap::UInt64::d_buf

protected

Definition at line 59 of file UInt64.h.

The documentation for this class was generated from the following files:

- UInt64.h
- UInt64.cc